#ifndef MESSAGEEXCEPTION_H
#define MESSAGEEXCEPTION_H

#include <exception>
#include <QString>

class MessageException : public std::exception
{
public:
    MessageException(const QString &msg):message(msg){};
    ~MessageException() throw() {};

    virtual const char* what() const throw () {
        return "MessageException";
    }

    QString getMessage() const {return message;};

private:
    QString message;
};

#endif // MESSAGEEXCEPTION_H
